Analytics dashboards
Base URL https://api.leadx.in/api/key/protected. Every request needs an apikey header — see Authentication.
20 endpoints.
GET /analytics-dashboard
Get all analytics dashboard.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx, pages/AddAnalyticsDashboard.jsx
:::
POST /analytics-dashboard
Create analytics dashboard.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx, pages/AddAnalyticsDashboard.jsx
:::
GET /analytics-dashboard/:id
Get analytics dashboard.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx, pages/AddAnalyticsDashboard.jsx
:::
Path parameters
| Name | |
|---|---|
id | Required |
PUT /analytics-dashboard/:id
Update analytics dashboard.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx, pages/AddAnalyticsDashboard.jsx
:::
Path parameters
| Name | |
|---|---|
id | Required |
DELETE /analytics-dashboard/:id
Delete analytics dashboard.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx, pages/AddAnalyticsDashboard.jsx
:::
Path parameters
| Name | |
|---|---|
id | Required |
PUT /analytics-dashboard/reorder
Reorder analytics dashboard.
Auth apikey
GET /analytics-dashboard/statistics/activity
Get activity statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/apps
Get app statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/campaigns
Get campaign statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/contacts
Get contact statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/leads
Get lead statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/messages
Get message statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/overview
Get overview statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/revenue
Get revenue statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/statistics/team
Get team statistics.
Auth apikey
:::note Used by the web app
components/AnalyticsDashboardComponent.jsx
:::
GET /analytics-dashboard/widget
Get all analytics widgets.
Auth apikey
POST /analytics-dashboard/widget
Create analytics widget.
Auth apikey
GET /analytics-dashboard/widget/:id
Get analytics widget.
Auth apikey
Path parameters
| Name | |
|---|---|
id | Required |
PUT /analytics-dashboard/widget/:id
Update analytics widget.
Auth apikey
Path parameters
| Name | |
|---|---|
id | Required |
DELETE /analytics-dashboard/widget/:id
Delete analytics widget.
Auth apikey
Path parameters
| Name | |
|---|---|
id | Required |